Skip to main content
POST
Create document (Legacy)

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Body

application/json
name
string
required

Document name

Maximum string length: 255
recipients
object[]

Response

Document created successfully

Signing request as returned by CREATE endpoints (POST /signing-requests, POST /documents)

id
string<uuid>

Unique identifier for the signing request

name
string

Signing request name

Maximum string length: 255
description
string | null

Signing request description

status
enum<string>

Status is always 'draft' for newly created signing requests

Available options:
draft
document_url
string<uri>

Pre-signed URL to the PDF document

page_count
integer

Number of pages in the document

Required range: x >= 1
expiration_hours
integer
default:168

Hours until signing request expires (default: 168 = 7 days)

Required range: x >= 1
template_id
string<uuid> | null

Template ID if created from a template

settings
object

Signing request and template settings. All 9 fields are returned by every endpoint that includes settings.

created_date
string<date-time>

Creation timestamp

updated_date
string<date-time>

Last update timestamp

sent_date
string<date-time> | null

When the signing request was sent

finished_date
string<date-time> | null

When all signatures were completed

cancelled_date
string<date-time> | null

When the signing request was cancelled

recipients
object[]

Signing request recipients

fields
object[]

Signing request fields with flat position values

warnings
string[]

Optional email format validation warnings. Only present when recipient emails have unusual formats.